Endpoint referenceWebhooks
Get a webhook
GET
bearerAuthheader
AuthorizationBearer <token>API token created in Settings → API. Scopes are attached to the token; each operation lists its required scope in x-scope.
id*stringFormat
uuidorg_id?stringPartners only (orgs:manage): act on this child organization. May also be sent as org_id in JSON bodies.
Format
uuidWebhook
application/json- response
id?stringFormat
uuidorg_id?stringFormat
uuidstore_id?|null = organization-wide
Format
uuidtype?stringValue in
"webhook""slack""teams"name?stringurl?|Format
uriformat?stringValue in
"json""slack""teams"has_secret?booleanevents?array<>|null = all events
min_severity?stringValue in
"critical""high""medium""low""info"active?booleanlast_used_at?|Format
date-timecreated_at?stringFormat
date-timeupdated_at?stringFormat
date-timecurl -X GET "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b", "store_id": "7fe87115-950c-4ae8-bd7e-970406bc9ac0", "type": "webhook", "name": "string", "url": "http://example.com", "format": "json", "has_secret": true, "events": [ "alert.created" ], "min_severity": "critical", "active": true, "last_used_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}